### Method

# FwupdPlugin PathStore set_tmpdir

since: 2.1.1

#### Declaration [src]

    void
    fu_path_store_set_tmpdir (
      FuPathStore* self,
      FuPathKind kind,
      FuTemporaryDirectory* tmpdir
    )

#### Description [src]

Sets the `kind` to a temporary path.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

`tmpdir`

  Type: `FuTemporaryDirectory`

  A `FuTemporaryDirectory`.

  The data is owned by the caller of the method.